AppdefPagerFilterExclude (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.pager.AppdefPagerFilterExclude class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared.pager
Class AppdefPagerFilterExclude

    java.lang.Object
      org.hyperic.hq.appdef.shared.pager.AppdefPagerFilterExclude

All Implemented Interfaces:
  AppdefPagerFilter

    public class AppdefPagerFilterExclude

extends java.lang.Object
implements AppdefPagerFilter

Pager Processor filter employed during paging of AppdefEntityIDs and compares each one to a default set of AppdefEntityIDs - ("the exclusionary set").

Constructor Summary
`AppdefPagerFilterExclude(AppdefEntityID[] excludes)`
`AppdefPagerFilterExclude(AppdefEntityID[] excludes, boolean negate)`

Method Summary
`AppdefEntityID[]` | `getExclusionarySet()`
`int` | `getFilterCount()` Fetch the number of objects that were successfully caught by the filter -- either inclusively or exclusively
`boolean` | `isCaught(java.lang.Object o)` Evaluate an object against this filter.
`boolean` | `isExclusive()` Is this filer set to exclude resources that match the filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefPagerFilterExclude

    public AppdefPagerFilterExclude(AppdefEntityID[] excludes)

### AppdefPagerFilterExclude

    public AppdefPagerFilterExclude(AppdefEntityID[] excludes,
                                    boolean negate)

Method Detail

### getExclusionarySet

    public AppdefEntityID[] getExclusionarySet()

### getFilterCount

    public int getFilterCount()

  Description copied from interface: `AppdefPagerFilter`
  Fetch the number of objects that were successfully caught by the filter -- either inclusively or exclusively

  Specified by:
    `getFilterCount` in interface `AppdefPagerFilter`

### isExclusive

    public boolean isExclusive()

  Description copied from interface: `AppdefPagerFilter`
  Is this filer set to exclude resources that match the filter. If exclude==false, this would imply an inclusive filter.

  Specified by:
    `isExclusive` in interface `AppdefPagerFilter`

### isCaught

    public boolean isCaught(java.lang.Object o)

  Evaluate an object against this filter.

  Specified by:
    `isCaught` in interface `AppdefPagerFilter`
  Parameters:
    `o` - - object instance of AppdefEntityID
  Returns:
    flag - true if caught (unless negated)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.